<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_gravity="center"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_tip_dialog"
        android:gravity="center"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/textView2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:layout_margin="16dp"
                android:text="请输入支付密码"
                android:textAppearance="@style/TextAppearance.AppCompat.Body1"
                android:textColor="@color/black_33_color"
                android:textSize="18sp" />

            <ImageView
                android:id="@+id/ivClose"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="14dp"
                android:src="@drawable/icon_close" />
        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="0.1dp"
            android:background="@color/gray" />

        <TextView
            android:id="@+id/tvAction"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="8dp"
            android:textColor="@color/black_33_color"
            tools:text="红包" />

        <LinearLayout
            android:id="@+id/llMoney"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="8dp"
            android:gravity="center"
            android:orientation="horizontal"
            android:visibility="gone"
            tools:visibility="visible">

            <TextView
                android:id="@+id/tvLabelYuan"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="￥"
                android:textAppearance="@style/TextAppearance.AppCompat.Body1"
                android:textColor="@color/black_33_color"
                android:textSize="24sp" />

            <TextView
                android:id="@+id/tvMoney"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textAppearance="@style/TextAppearance.AppCompat.Body1"
                android:textColor="@color/black_33_color"
                android:textSize="24sp"
                tools:text="1" />
        </LinearLayout>

        <com.bc_chat.im.view.PasswordInputView
            android:id="@+id/passwordInputView"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:layout_margin="16dp"
            android:cursorVisible="false"
            android:inputType="number"
            android:maxLength="6"
            app:pivBorderColor="#cccccc"
            app:pivBorderRadius="5dp"
            app:pivBorderWidth="5dp"
            app:pivPasswordColor="#000000"
            app:pivPasswordLength="6"
            app:pivPasswordWidth="6dp" />

    </LinearLayout>

</LinearLayout>